/********************************************************************\

  Name:         frontend.h
  Created by:   Stefan Ritt

  Contents:     Experiment specific readout code (user part) header
                file. Contains slot definitions etc.


  $Log$
\********************************************************************/

/*---- Definition of CAMAC crates ----------------------------------*/

#define CC_MASTER          0

/*---- Definition of CAMAC slots -----------------------------------*/

#define CS_IO506          23

/* Definitions for IO bits   */
#define IO_RESET       (1<<0)
#define IO_PCOS_RT     (1<<1)

#define CS_ADC_0          18
#define CS_TDC_0          15 
#define CS_DBI            12
#define CS_SCLR_0          2

/*---- Definition of trigger bits ----------------------------------*/

#define TRIG_MAIN       (1<<0)
#define TRIG_RANDOM     (1<<1)

/*---- Number of channels ------------------------------------------*/

#define N_ADC             54
#define N_TDC             24
#define N_SCLR             8
#define N_DSC             16

/*---- Readout options ---------------------------------------------*/

#define RO_ADC
#define RO_TDC
#define RO_PCOS
//#define RO_DSC  /* set to #undef RO_DSC to disable DSC */
#undef RO_DSC

#define INVALID -1000
